CREATE TABLE goi_app_settings (
    APP_ID                   NUMBER(18, 0) ,
    OSC_SERVER_ADDRESS       VARCHAR2(512)     NOT NULL,
    CLIENT_ID                VARCHAR2(1024)    NOT NULL,
    CLIENT_SECRET            VARCHAR2(1024)    NOT NULL,
    IS_ACTIVE                VARCHAR2(4)   ,
    IS_AUTHORIZED            VARCHAR2(4)   ,
    PROXY_SERVER             VARCHAR2(256) ,
    PROXY_PORT               NUMBER(6, 0)  ,
    VERSION                  VARCHAR2(80)      NOT NULL,
    CONFIG                   CLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    APP_ID                   NUMBER(18, 0) ,
    OSC_SERVER_ADDRESS       VARCHAR2(512)     NOT NULL,
    CLIENT_ID                VARCHAR2(1024)    NOT NULL,
    CLIENT_SECRET            VARCHAR2(1024)    NOT NULL,
    IS_ACTIVE                VARCHAR2(4)   ,
    IS_AUTHORIZED            VARCHAR2(4)   ,
    PROXY_SERVER             VARCHAR2(256) ,
    PROXY_PORT               NUMBER(6, 0)  ,
    VERSION                  VARCHAR2(80)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONFIG                   CLOB          ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_goi_app_settings PRIMARY KEY (APP_ID, APP_ID)
);
